using Demo.Domain.Models;

namespace Demo.Data.Repository
{
    public interface IGroupRepository
    {
        List<GroupLocalEntity> GetAllGroup();
        GroupLocalEntity? GetGroupById(int ID);
        bool RemoveGroupByID(int groupId);
        GroupLocalEntity? UpdateGroup(GroupLocalEntity updatedGroup);
        GroupLocalEntity? CreateGroup(string Name);
    }
}